# SRC/scsum1.c File Reference

Takes sum of the absolute values of a complex vector and returns a single precision result. More...

`#include "slu_scomplex.h"`
`#include "slu_Cnames.h"`

## Defines
#define | CX(I) cx[(I)-1]
## Functions
double | scsum1_ (int *n, complex *cx, int *incx)

## Detailed Description

         -- LAPACK auxiliary routine (version 2.0) --
         Univ. of Tennessee, Univ. of California Berkeley, NAG Ltd.,
         Courant Institute, Argonne National Lab, and Rice University
         October 31, 1992

## Define Documentation

#define CX | ( | I |  | ) | cx[(I)-1]

## Function Documentation

double scsum1_ | ( | int * | n,
|  | complex * | cx,
|  | int * | incx |
| ) |  |  |

        Purpose
        =======

        SCSUM1 takes the sum of the absolute values of a complex
        vector and returns a single precision result.

        Based on SCASUM from the Level 1 BLAS.
        The change is to use the 'genuine' absolute value.

        Contributed by Nick Higham for use with CLACON.

        Arguments
        =========

        N       (input) INT
                The number of elements in the vector CX.

        CX      (input) COMPLEX array, dimension (N)
                The vector whose elements will be summed.

        INCX    (input) INT
                The spacing between successive values of CX.  INCX > 0.

        =====================================================================